> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voice Session Eval By Session

> Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.

Tenant-scoped endpoint for persisted voice session records, stream lookup, and evaluation history.

### Path parameters

<ParamField path="session_id" type="string" required>
  Voice session id or stream id
</ParamField>

### Response

`VoiceSessionEval`

<ResponseField name="agent_key" type="string,null" />

<ResponseField name="agent_name" type="string,null" />

<ResponseField name="agent_version_id" type="string" required />

<ResponseField name="call_log_id" type="string" required />

<ResponseField name="created_at" type="string" required />

<ResponseField name="id" type="string" required />

<ResponseField name="metadata" type="any" required />

<ResponseField name="notes" type="string,null" />

<ResponseField name="rubric" type="any" required />

<ResponseField name="score" type="number (double)" required />

<ResponseField name="session_id" type="string" required />

<ResponseField name="source" type="string,null" />

<ResponseField name="stream_id" type="string,null" />

<ResponseField name="tags" type="string[]" required />

<ResponseField name="tenant_id" type="string" required />

<ResponseField name="updated_at" type="string" required />

<ResponseField name="voice_session_id" type="string" required />

### Status codes

| Code  | Meaning                         |
| ----- | ------------------------------- |
| `200` | Voice session evaluation detail |
| `401` | Unauthorized                    |
| `404` | Evaluation not found            |
| `500` | Internal server error           |
| `503` | Database not configured         |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.voice.stateset.com/api/v1/voice-session-evals/by-session/{session_id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "agent_key": "support_primary",
    "agent_name": "StateSet Support",
    "agent_version_id": "550e8400-e29b-41d4-a716-446655440003",
    "call_log_id": "550e8400-e29b-41d4-a716-446655440002",
    "created_at": "2024-01-15T10:30:00Z",
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "metadata": null,
    "notes": "The agent authenticated correctly and resolved the issue without escalation.",
    "rubric": null,
    "score": 0.92,
    "session_id": "MZ1234567890abcdef1234567890abcdef",
    "source": "auto",
    "stream_id": "MZ1234567890abcdef1234567890abcdef",
    "tags": [
      "resolved",
      "authenticated"
    ],
    "tenant_id": "tenant-123",
    "updated_at": "2024-01-15T10:32:22Z",
    "voice_session_id": "550e8400-e29b-41d4-a716-446655440001"
  }
  ```
</ResponseExample>
